Bug 5584 - BibLibre OPAC improvements for 3.4
Summary: BibLibre OPAC improvements for 3.4
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on: 3629 4018 4943 5871 5888 5892 5965 5966 5967 5976 5977 5978 5979 5980 5981 5982 5983 5984
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-06 13:33 UTC by Paul Poulain
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Poulain 2011-01-06 13:33:03 UTC
*coinS fixes 
*Perl 5.10.0 needed 
*new syspref to have some items automatically & always removed on OPAC 
*limitation by group working again (fix) 
*search history fix & improvement : limit taken into account
Comment 1 Chris Cormack 2011-01-07 01:47:21 UTC
These are available for your sign off pleasure 

at new/awaiting_qa/enh/bug_5584
Comment 2 Owen Leonard 2011-01-07 15:00:49 UTC
I'm getting these errors when searching the OPAC:

Global symbol "@newresults" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 476.
Global symbol "@newresults" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 481.
Global symbol "@newresults" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 493.
Global symbol "$server" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 497.
Global symbol "$server" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 498.
Global symbol "@newresults" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 561.
Global symbol "@newresults" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 587.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 606.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 606.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 606.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 608.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 610.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 621.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 621.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 621.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 622.
Global symbol "$i" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 623.
Global symbol "$server" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 641.
Global symbol "$server" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 641.
Global symbol "$server" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 643.
Global symbol "$server" requires explicit package name at /home/oleonard/kohaclone/opac/opac-search.pl line 651.
Execution of /home/oleonard/kohaclone/opac/opac-search.pl aborted due to compilation errors.
Comment 3 Paul Poulain 2011-01-11 09:07:40 UTC
fix for owen comment: a5b653ae9682c1e5e19da0bcff1021dc1a0ed972
Comment 4 Paul Poulain 2012-11-29 15:37:41 UTC
This patch was an omnibus, many things made their way into Koha, some have failed QA, but I think it's not needed to keep this one open